org.apache.struts2.jasper.compiler

## Class SmapStratum.LineInfo

- java.lang.Object
- - org.apache.struts2.jasper.compiler.SmapStratum.LineInfo

- Enclosing class:
    SmapStratum

      public static class SmapStratum.LineInfo
      extends Object

  Represents a single LineSection in an SMAP, associated with a particular stratum.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setInputLineCount(int inputLineCount)`
    `void` | `setInputStartLine(int inputStartLine)`
    `void` | `setLineFileID(int lineFileID)`
    `void` | `setOutputLineIncrement(int outputLineIncrement)`
    `void` | `setOutputStartLine(int outputStartLine)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LineInfo

          public LineInfo()

  - ### Method Detail

    - #### setInputStartLine

          public void setInputStartLine(int inputStartLine)

      Parameters:
        `inputStartLine` - Sets InputStartLine.

    - #### setOutputStartLine

          public void setOutputStartLine(int outputStartLine)

      Parameters:
        `outputStartLine` - Sets OutputStartLine.

    - #### setLineFileID

          public void setLineFileID(int lineFileID)

      Parameters:
        `lineFileID` - Sets lineFileID. Should be called only when different from that of prior LineInfo object (in any given context) or 0 if the current LineInfo has no (logical) predecessor. `LineInfo` will print this file number no matter what.

    - #### setInputLineCount

          public void setInputLineCount(int inputLineCount)

      Parameters:
        `inputLineCount` - Sets InputLineCount.

    - #### setOutputLineIncrement

          public void setOutputLineIncrement(int outputLineIncrement)

      Parameters:
        `outputLineIncrement` - Sets OutputLineIncrement.

    - #### getString

          public String getString()

      Returns:
        Retrieves the current LineInfo as a String, print all values only when appropriate (but LineInfoID if and only if it's been specified, as its necessity is sensitive to context).

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.